package request


type AlibabaWdkMerchantBrandQueryRequest struct {
    /*
        关键词，不填就查全部     */
    Keyword  *string `json:"keyword,omitempty" required:"false" `
    /*
        可不填，默认0     */
    Offset  *int64 `json:"offset,omitempty" required:"false" `
    /*
        可不填，默认2000     */
    PageSize  *int64 `json:"page_size,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantBrandQueryRequest) SetKeyword(v string) *AlibabaWdkMerchantBrandQueryRequest {
    s.Keyword = &v
    return s
}
func (s *AlibabaWdkMerchantBrandQueryRequest) SetOffset(v int64) *AlibabaWdkMerchantBrandQueryRequest {
    s.Offset = &v
    return s
}
func (s *AlibabaWdkMerchantBrandQueryRequest) SetPageSize(v int64) *AlibabaWdkMerchantBrandQueryRequest {
    s.PageSize = &v
    return s
}

func (req *AlibabaWdkMerchantBrandQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Keyword != nil) {
        paramMap["keyword"] = *req.Keyword
    }
    if(req.Offset != nil) {
        paramMap["offset"] = *req.Offset
    }
    if(req.PageSize != nil) {
        paramMap["page_size"] = *req.PageSize
    }
    return paramMap
}

func (req *AlibabaWdkMerchantBrandQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}